import { AbstractUiComponent } from "../AbstractUiComponent";
import { UiFieldGroupCommandHandler, UiFieldGroupConfig } from "../../generated/UiFieldGroupConfig";
import { TeamAppsUiContext } from "../TeamAppsUiContext";
import { UiField } from "./UiField";
export declare class UiFieldGroup extends AbstractUiComponent<UiFieldGroupConfig> implements UiFieldGroupCommandHandler {
    private $main;
    private fields;
    constructor(config: UiFieldGroupConfig, context: TeamAppsUiContext);
    doGetMainElement(): HTMLElement;
    setFields(fields: UiField[]): void;
    destroy(): void;
}
